QGIS Application - Bug report #2726

Mapserver plugin does not export 'labelitem’ property for layer with labels

2010-05-17 01:25 PM - Richard Duivenvoorde

Status: Closed
Priority: Low
Assignee: Borys Jurgiel
Category: Python plugins

Affected QGIS version:
Operating System: All

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 12786

Description

Using the mapserver export plugin, a layer which has labels does not find a 'LABELITEM' line in it's mapfile anymore. This worked in

older versions, but is apparently broken in current version.

It looks like it has something to do with a change in the project-file format.

Currently a 'maplayer'-element has 3 'label'-elements, the plugin code is broken because of this.

History

#1 - 2010-05-17 01:31 PM - Richard Duivenvoorde

can somebody do a simple review?

I think I can do the checkin myself.

#2 - 2010-06-11 09:11 PM - Paolo Cavallini

Is this fixed?

#3 - 2010-06-12 01:27 AM - Richard Duivenvoorde
- Resolution set to fixed

- Status changed from Open to Closed

yep, fixed in commit:ac2526b1 (SVN r13709)

Files

labelitemfix.txt
